{
  "type" : "record",
  "name" : "PreviousTreatment",
  "namespace" : "org.gel.models.participant.avro",
  "doc" : "In GMS, Previous Treatment of Patient",
  "fields" : [ {
    "name" : "previousTreatmentType",
    "type" : [ "null", "string" ]
  }, {
    "name" : "previousTreatmentName",
    "type" : [ "null", "string" ]
  }, {
    "name" : "previousTreatmentDate",
    "type" : [ "null", {
      "type" : "record",
      "name" : "Date",
      "doc" : "This defines a date record",
      "fields" : [ {
        "name" : "year",
        "type" : "int",
        "doc" : "Format YYYY"
      }, {
        "name" : "month",
        "type" : [ "null", "int" ],
        "doc" : "Format MM. e.g June is 06"
      }, {
        "name" : "day",
        "type" : [ "null", "int" ],
        "doc" : "Format DD e.g. 12th of October is 12"
      } ]
    } ]
  } ]
}
